/** @type {import('tailwindcss').Config} */
module.exports = {
  mode: 'jit',
  darkMode: ["class"],
  content: ["./**/*.{ts,tsx}"],
  prefix: 'bbm-',
  theme: {
    container: {
      center: true,
      padding: "2rem",
      screens: {
        "2xl": "1400px"
      }
    },
    // colors: {
    //   "bg-primary": "var(--blink-bg-primary)",
    //   button: "var(--blink-button)",
    //   "button-success": "var(--blink-button-success)",
    //   "button-disabled": "var(--blink-button-disabled)",
    //   "button-hover": "var(--blink-button-hover)",
    //   "input-bg": "var(--blink-input-bg)",
    //   "input-stroke": "var(--blink-input-stroke)",
    //   "input-stroke-selected": "var(--blink-input-stroke-selected)",
    //   "input-stroke-hover": "var(--blink-input-stroke-hover)",
    //   "input-stroke-error": "var(--blink-input-stroke-error)",
    //   "input-stroke-disabled": "var(--blink-input-stroke-disabled)",
    //   "icon-error": "var(--blink-icon-error)",
    //   "icon-error-hover": "var(--blink-icon-error-hover)",
    //   "icon-primary": "var(--blink-icon-primary)",
    //   "icon-primary-hover": "var(--blink-icon-primary-hover)",
    //   "icon-warning": "var(--blink-icon-warning)",
    //   "icon-warning-hover": "var(--blink-icon-warning-hover)",
    //   "stroke-error": "var(--blink-stroke-error)",
    //   "stroke-primary": "var(--blink-stroke-primary)",
    //   "stroke-secondary": "var(--blink-stroke-secondary)",
    //   "stroke-warning": "var(--blink-stroke-warning)",
    //   "text-brand": "var(--blink-text-brand)",
    //   "text-button": "var(--blink-text-button)",
    //   "text-button-success": "var(--blink-text-button-success)",
    //   "text-button-disabled": "var(--blink-text-button-disabled)",
    //   "text-input": "var(--blink-text-input)",
    //   "text-input-disabled": "var(--blink-text-input-disabled)",
    //   "text-input-placeholder": "var(--blink-text-input-placeholder)",
    //   "text-link": "var(--blink-text-link)",
    //   "text-link-hover": "var(--blink-text-link-hover)",
    //   "text-primary": "var(--blink-text-primary)",
    //   "text-secondary": "var(--blink-text-secondary)",
    //   "text-success": "var(--blink-text-success)",
    //   "text-warning": "var(--blink-text-warning)",
    //   "text-warning-hover": "var(--blink-text-warning-hover)",
    //   "text-error": "var(--blink-text-error)",
    //   "text-error-hover": "var(--blink-text-error-hover)",
    //   "transparent-error": "var(--blink-transparent-error)",
    //   "transparent-grey": "var(--blink-transparent-grey)",
    //   "transparent-warning": "var(--blink-transparent-warning)",
    //   transparent: "transparent",
    //   currentColor: "currentColor"
    // },
    // borderRadius: {
    //   lg: "var(--blink-border-radius-rounded-lg)",
    //   xl: "var(--blink-border-radius-rounded-xl)",
    //   "2xl": "var(--blink-border-radius-rounded-2xl)",
    //   button: "var(--blink-border-radius-rounded-button)",
    //   input: "var(--blink-border-radius-rounded-input)",
    //   full: "9999px",
    //   none: "0px"
    // },
    extend: {
      colors: {
        border: "hsl(var(--border))",
        input: "hsl(var(--input))",
        ring: "hsl(var(--ring))",
        background: "hsl(var(--background))",
        foreground: "hsl(var(--foreground))",
        primary: {
          DEFAULT: "hsl(var(--primary))",
          foreground: "hsl(var(--primary-foreground))"
        },
        secondary: {
          DEFAULT: "hsl(var(--secondary))",
          foreground: "hsl(var(--secondary-foreground))"
        },
        destructive: {
          DEFAULT: "hsl(var(--destructive))",
          foreground: "hsl(var(--destructive-foreground))"
        },
        muted: {
          DEFAULT: "hsl(var(--muted))",
          foreground: "hsl(var(--muted-foreground))"
        },
        accent: {
          DEFAULT: "hsl(var(--accent))",
          foreground: "hsl(var(--accent-foreground))"
        },
        popover: {
          DEFAULT: "hsl(var(--popover))",
          foreground: "hsl(var(--popover-foreground))"
        },
        card: {
          DEFAULT: "hsl(var(--card))",
          foreground: "hsl(var(--card-foreground))"
        }
      },
      borderRadius: {
        lg: "var(--radius)",
        md: "calc(var(--radius) - 2px)",
        sm: "calc(var(--radius) - 4px)"
      },
      keyframes: {
        "accordion-down": {
          from: { height: "0" },
          to: { height: "var(--radix-accordion-content-height)" }
        },
        "accordion-up": {
          from: { height: "var(--radix-accordion-content-height)" },
          to: { height: "0" }
        }
      },
      animation: {
        "accordion-down": "accordion-down 0.2s ease-out",
        "accordion-up": "accordion-up 0.2s ease-out"
      },
      fontSize: {
        // assuming twitter font size base - 15px
        text: ["1rem", "1.2rem"],
        subtext: ["0.867rem", "1.067rem"],
        caption: ["0.73333rem", "0.93333rem"]
      },
      boxShadow: {
        action: "var(--blink-shadow-container)"
      }
    }
  },
  plugins: [require("tailwindcss-animate"), require("@tailwindcss/typography")]
}
